Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.SubListIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.SubListIterator

All Implemented Interfaces:
  `Iterator<E>`

Enclosing class:
  `LazyCollection<E>`

public class LazyCollection.SubListIterator extends LazyCollection.ReadOnlyIterator<E>
`Iterator` that iterates over a subrange of the underlying `LazyList`'s contents.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`i`
`protected final int`
`toIndex`

## Constructor Summary

Constructors
Constructor
Description
`SubListIterator(int fromIndex, int toIndex)`
Creates a `LazyCollection<E>.SubListIterator` for the range `fromIndex`, including, to `toIndex`, excluding.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`E`
`next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### toIndex

protected final int toIndex

### i

protected int i

## Constructor Details

### SubListIterator

public SubListIterator(int fromIndex, int toIndex)
Creates a `LazyCollection<E>.SubListIterator` for the range `fromIndex`, including, to `toIndex`, excluding.

Parameters:
  `fromIndex` - the starting index, inclusive
  `toIndex` - the ending index, exclusive

## Method Details

### hasNext

public boolean hasNext()

### next

public E next()